--- old/usr/src/uts/common/io/ixgbe/ixgbe_api.c	Wed Sep  7 11:32:34 2011
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_api.c	Wed Sep  7 11:32:34 2011
@@ -125,636 +125,625 @@
 	}
 
 	DEBUGOUT2("ixgbe_set_mac_type found mac: %d, returns: %d\n",
-	    hw->mac.type, ret_val);
-
-	return (ret_val);
+	          hw->mac.type, ret_val);
+	return ret_val;
 }
 
-/*
- * ixgbe_init_hw - Initialize the hardware
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_init_hw - Initialize the hardware
+ *  @hw: pointer to hardware structure
  *
- * Initialize the hardware by resetting and then starting the hardware
- */
-s32
-ixgbe_init_hw(struct ixgbe_hw *hw)
+ *  Initialize the hardware by resetting and then starting the hardware
+ **/
+s32 ixgbe_init_hw(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.init_hw, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_reset_hw - Performs a hardware reset
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_reset_hw - Performs a hardware reset
+ *  @hw: pointer to hardware structure
  *
- * Resets the hardware by resetting the transmit and receive units, masks and
- * clears all interrupts, performs a PHY reset, and performs a MAC reset
- */
-s32
-ixgbe_reset_hw(struct ixgbe_hw *hw)
+ *  Resets the hardware by resetting the transmit and receive units, masks and
+ *  clears all interrupts, performs a PHY reset, and performs a MAC reset
+ **/
+s32 ixgbe_reset_hw(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.reset_hw, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_start_hw - Prepares hardware for Rx/Tx
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_start_hw - Prepares hardware for Rx/Tx
+ *  @hw: pointer to hardware structure
  *
- * Starts the hardware by filling the bus info structure and media type,
- * clears all on chip counters, initializes receive address registers,
- * multicast table, VLAN filter table, calls routine to setup link and
- * flow control settings, and leaves transmit and receive units disabled
- * and uninitialized.
- */
-s32
-ixgbe_start_hw(struct ixgbe_hw *hw)
+ *  Starts the hardware by filling the bus info structure and media type,
+ *  clears all on chip counters, initializes receive address registers,
+ *  multicast table, VLAN filter table, calls routine to setup link and
+ *  flow control settings, and leaves transmit and receive units disabled
+ *  and uninitialized.
+ **/
+s32 ixgbe_start_hw(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.start_hw, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_enable_relaxed_ordering - Enables tx relaxed ordering,
- * which is disabled by default in ixgbe_start_hw();
+/**
+ *  ixgbe_enable_relaxed_ordering - Enables tx relaxed ordering,
+ *  which is disabled by default in ixgbe_start_hw();
  *
- * @hw: pointer to hardware structure
+ *  @hw: pointer to hardware structure
  *
- * Enable relaxed ordering;
- */
-void
-ixgbe_enable_relaxed_ordering(struct ixgbe_hw *hw)
+ *   Enable relaxed ordering;
+ **/
+void ixgbe_enable_relaxed_ordering(struct ixgbe_hw *hw)
 {
 	if (hw->mac.ops.enable_relaxed_ordering)
 		hw->mac.ops.enable_relaxed_ordering(hw);
 }
 
-/*
- * ixgbe_clear_hw_cntrs - Clear hardware counters
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_clear_hw_cntrs - Clear hardware counters
+ *  @hw: pointer to hardware structure
  *
- * Clears all hardware statistics counters by reading them from the hardware
- * Statistics counters are clear on read.
- */
-s32
-ixgbe_clear_hw_cntrs(struct ixgbe_hw *hw)
+ *  Clears all hardware statistics counters by reading them from the hardware
+ *  Statistics counters are clear on read.
+ **/
+s32 ixgbe_clear_hw_cntrs(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.clear_hw_cntrs, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_media_type - Get media type
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_media_type - Get media type
+ *  @hw: pointer to hardware structure
  *
- * Returns the media type (fiber, copper, backplane)
- */
-enum ixgbe_media_type
-ixgbe_get_media_type(struct ixgbe_hw *hw)
+ *  Returns the media type (fiber, copper, backplane)
+ **/
+enum ixgbe_media_type ixgbe_get_media_type(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_media_type, (hw),
-	    ixgbe_media_type_unknown);
+	                       ixgbe_media_type_unknown);
 }
 
-/*
- * ixgbe_get_mac_addr - Get MAC address
- * @hw: pointer to hardware structure
- * @mac_addr: Adapter MAC address
+/**
+ *  ixgbe_get_mac_addr - Get MAC address
+ *  @hw: pointer to hardware structure
+ *  @mac_addr: Adapter MAC address
  *
- * Reads the adapter's MAC address from the first Receive Address Register
- * (RAR0) A reset of the adapter must have been performed prior to calling
- * this function in order for the MAC address to have been loaded from the
- * EEPROM into RAR0
- */
-s32
-ixgbe_get_mac_addr(struct ixgbe_hw *hw, u8 *mac_addr)
+ *  Reads the adapter's MAC address from the first Receive Address Register
+ *  (RAR0) A reset of the adapter must have been performed prior to calling
+ *  this function in order for the MAC address to have been loaded from the
+ *  EEPROM into RAR0
+ **/
+s32 ixgbe_get_mac_addr(struct ixgbe_hw *hw, u8 *mac_addr)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_mac_addr,
-	    (hw, mac_addr), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, mac_addr), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_san_mac_addr - Get SAN MAC address
- * @hw: pointer to hardware structure
- * @san_mac_addr: SAN MAC address
+/**
+ *  ixgbe_get_san_mac_addr - Get SAN MAC address
+ *  @hw: pointer to hardware structure
+ *  @san_mac_addr: SAN MAC address
  *
- * Reads the SAN MAC address from the EEPROM, if it's available.  This is
- * per-port, so set_lan_id() must be called before reading the addresses.
- */
-s32
-ixgbe_get_san_mac_addr(struct ixgbe_hw *hw, u8 *san_mac_addr)
+ *  Reads the SAN MAC address from the EEPROM, if it's available.  This is
+ *  per-port, so set_lan_id() must be called before reading the addresses.
+ **/
+s32 ixgbe_get_san_mac_addr(struct ixgbe_hw *hw, u8 *san_mac_addr)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_san_mac_addr,
-	    (hw, san_mac_addr), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, san_mac_addr), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_set_san_mac_addr - Write a SAN MAC address
- * @hw: pointer to hardware structure
- * @san_mac_addr: SAN MAC address
+/**
+ *  ixgbe_set_san_mac_addr - Write a SAN MAC address
+ *  @hw: pointer to hardware structure
+ *  @san_mac_addr: SAN MAC address
  *
- * Writes A SAN MAC address to the EEPROM.
- */
-s32
-ixgbe_set_san_mac_addr(struct ixgbe_hw *hw, u8 *san_mac_addr)
+ *  Writes A SAN MAC address to the EEPROM.
+ **/
+s32 ixgbe_set_san_mac_addr(struct ixgbe_hw *hw, u8 *san_mac_addr)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.set_san_mac_addr,
-	    (hw, san_mac_addr), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, san_mac_addr), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_device_caps - Get additional device capabilities
- * @hw: pointer to hardware structure
- * @device_caps: the EEPROM word for device capabilities
+/**
+ *  ixgbe_get_device_caps - Get additional device capabilities
+ *  @hw: pointer to hardware structure
+ *  @device_caps: the EEPROM word for device capabilities
  *
- * Reads the extra device capabilities from the EEPROM
- */
-s32
-ixgbe_get_device_caps(struct ixgbe_hw *hw, u16 *device_caps)
+ *  Reads the extra device capabilities from the EEPROM
+ **/
+s32 ixgbe_get_device_caps(struct ixgbe_hw *hw, u16 *device_caps)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_device_caps,
-	    (hw, device_caps), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, device_caps), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_wwn_prefix - Get alternative WWNN/WWPN prefix from the EEPROM
- * @hw: pointer to hardware structure
- * @wwnn_prefix: the alternative WWNN prefix
- * @wwpn_prefix: the alternative WWPN prefix
+/**
+ *  ixgbe_get_wwn_prefix - Get alternative WWNN/WWPN prefix from the EEPROM
+ *  @hw: pointer to hardware structure
+ *  @wwnn_prefix: the alternative WWNN prefix
+ *  @wwpn_prefix: the alternative WWPN prefix
  *
- * This function will read the EEPROM from the alternative SAN MAC address
- * block to check the support for the alternative WWNN/WWPN prefix support.
- */
-s32
-ixgbe_get_wwn_prefix(struct ixgbe_hw *hw, u16 *wwnn_prefix, u16 *wwpn_prefix)
+ *  This function will read the EEPROM from the alternative SAN MAC address
+ *  block to check the support for the alternative WWNN/WWPN prefix support.
+ **/
+s32 ixgbe_get_wwn_prefix(struct ixgbe_hw *hw, u16 *wwnn_prefix,
+                         u16 *wwpn_prefix)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_wwn_prefix,
-	    (hw, wwnn_prefix, wwpn_prefix), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, wwnn_prefix, wwpn_prefix),
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_fcoe_boot_status -  Get FCOE boot status from EEPROM
- * @hw: pointer to hardware structure
- * @bs: the fcoe boot status
+/**
+ *  ixgbe_get_fcoe_boot_status -  Get FCOE boot status from EEPROM
+ *  @hw: pointer to hardware structure
+ *  @bs: the fcoe boot status
  *
- * This function will read the FCOE boot status from the iSCSI FCOE block
- */
-s32
-ixgbe_get_fcoe_boot_status(struct ixgbe_hw *hw, u16 *bs)
+ *  This function will read the FCOE boot status from the iSCSI FCOE block
+ **/
+s32 ixgbe_get_fcoe_boot_status(struct ixgbe_hw *hw, u16 *bs)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_fcoe_boot_status,
-	    (hw, bs), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, bs),
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_bus_info - Set PCI bus info
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_bus_info - Set PCI bus info
+ *  @hw: pointer to hardware structure
  *
- * Sets the PCI bus info (speed, width, type) within the ixgbe_hw structure
- */
-s32
-ixgbe_get_bus_info(struct ixgbe_hw *hw)
+ *  Sets the PCI bus info (speed, width, type) within the ixgbe_hw structure
+ **/
+s32 ixgbe_get_bus_info(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_bus_info, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_num_of_tx_queues - Get Tx queues
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_num_of_tx_queues - Get Tx queues
+ *  @hw: pointer to hardware structure
  *
- * Returns the number of transmit queues for the given adapter.
- */
-u32
-ixgbe_get_num_of_tx_queues(struct ixgbe_hw *hw)
+ *  Returns the number of transmit queues for the given adapter.
+ **/
+u32 ixgbe_get_num_of_tx_queues(struct ixgbe_hw *hw)
 {
-	return (hw->mac.max_tx_queues);
+	return hw->mac.max_tx_queues;
 }
 
-/*
- * ixgbe_get_num_of_rx_queues - Get Rx queues
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_num_of_rx_queues - Get Rx queues
+ *  @hw: pointer to hardware structure
  *
- * Returns the number of receive queues for the given adapter.
- */
-u32
-ixgbe_get_num_of_rx_queues(struct ixgbe_hw *hw)
+ *  Returns the number of receive queues for the given adapter.
+ **/
+u32 ixgbe_get_num_of_rx_queues(struct ixgbe_hw *hw)
 {
-	return (hw->mac.max_rx_queues);
+	return hw->mac.max_rx_queues;
 }
 
-/*
- * ixgbe_stop_adapter - Disable Rx/Tx units
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_stop_adapter - Disable Rx/Tx units
+ *  @hw: pointer to hardware structure
  *
- * Sets the adapter_stopped flag within ixgbe_hw struct. Clears interrupts,
- * disables transmit and receive units. The adapter_stopped flag is used by
- * the shared code and drivers to determine if the adapter is in a stopped
- * state and should not touch the hardware.
- */
-s32
-ixgbe_stop_adapter(struct ixgbe_hw *hw)
+ *  Sets the adapter_stopped flag within ixgbe_hw struct. Clears interrupts,
+ *  disables transmit and receive units. The adapter_stopped flag is used by
+ *  the shared code and drivers to determine if the adapter is in a stopped
+ *  state and should not touch the hardware.
+ **/
+s32 ixgbe_stop_adapter(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.stop_adapter, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_read_pba_num - Reads part number from EEPROM
- * @hw: pointer to hardware structure
- * @pba_num: stores the part number from the EEPROM
+/**
+ *  ixgbe_read_pba_string - Reads part number string from EEPROM
+ *  @hw: pointer to hardware structure
+ *  @pba_num: stores the part number string from the EEPROM
+ *  @pba_num_size: part number string buffer length
  *
- * Reads the part number from the EEPROM.
- */
-s32
-ixgbe_read_pba_num(struct ixgbe_hw *hw, u32 *pba_num)
+ *  Reads the part number string from the EEPROM.
+ **/
+s32 ixgbe_read_pba_string(struct ixgbe_hw *hw, u8 *pba_num, u32 pba_num_size)
 {
-	return (ixgbe_read_pba_num_generic(hw, pba_num));
+	return ixgbe_read_pba_string_generic(hw, pba_num, pba_num_size);
 }
 
-/*
- * ixgbe_identify_phy - Get PHY type
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_read_pba_length - Reads part number string length from EEPROM
+ *  @hw: pointer to hardware structure
+ *  @pba_num_size: part number string buffer length
  *
- * Determines the physical layer module found on the current adapter.
- */
-s32
-ixgbe_identify_phy(struct ixgbe_hw *hw)
+ *  Reads the part number length from the EEPROM.
+ *  Returns expected buffer size in pba_num_size.
+ **/
+s32 ixgbe_read_pba_length(struct ixgbe_hw *hw, u32 *pba_num_size)
 {
+	return ixgbe_read_pba_length_generic(hw, pba_num_size);
+}
+
+/**
+ *  ixgbe_read_pba_num - Reads part number from EEPROM
+ *  @hw: pointer to hardware structure
+ *  @pba_num: stores the part number from the EEPROM
+ *
+ *  Reads the part number from the EEPROM.
+ **/
+s32 ixgbe_read_pba_num(struct ixgbe_hw *hw, u32 *pba_num)
+{
+	return ixgbe_read_pba_num_generic(hw, pba_num);
+}
+
+/**
+ *  ixgbe_identify_phy - Get PHY type
+ *  @hw: pointer to hardware structure
+ *
+ *  Determines the physical layer module found on the current adapter.
+ **/
+s32 ixgbe_identify_phy(struct ixgbe_hw *hw)
+{
 	s32 status = IXGBE_SUCCESS;
 
 	if (hw->phy.type == ixgbe_phy_unknown) {
-		status = ixgbe_call_func(hw,
-		    hw->phy.ops.identify,
-		    (hw),
-		    IXGBE_NOT_IMPLEMENTED);
+		status = ixgbe_call_func(hw, hw->phy.ops.identify, (hw),
+		                         IXGBE_NOT_IMPLEMENTED);
 	}
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_reset_phy - Perform a PHY reset
- * @hw: pointer to hardware structure
- */
-s32
-ixgbe_reset_phy(struct ixgbe_hw *hw)
+/**
+ *  ixgbe_reset_phy - Perform a PHY reset
+ *  @hw: pointer to hardware structure
+ **/
+s32 ixgbe_reset_phy(struct ixgbe_hw *hw)
 {
 	s32 status = IXGBE_SUCCESS;
 
 	if (hw->phy.type == ixgbe_phy_unknown) {
-		if (ixgbe_identify_phy(hw) != IXGBE_SUCCESS) {
+		if (ixgbe_identify_phy(hw) != IXGBE_SUCCESS)
 			status = IXGBE_ERR_PHY;
-		}
 	}
 
 	if (status == IXGBE_SUCCESS) {
 		status = ixgbe_call_func(hw, hw->phy.ops.reset, (hw),
-		    IXGBE_NOT_IMPLEMENTED);
+		                         IXGBE_NOT_IMPLEMENTED);
 	}
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_get_phy_firmware_version -
- * @hw: pointer to hardware structure
- * @firmware_version: pointer to firmware version
- */
-s32
-ixgbe_get_phy_firmware_version(struct ixgbe_hw *hw, u16 *firmware_version)
+/**
+ *  ixgbe_get_phy_firmware_version -
+ *  @hw: pointer to hardware structure
+ *  @firmware_version: pointer to firmware version
+ **/
+s32 ixgbe_get_phy_firmware_version(struct ixgbe_hw *hw, u16 *firmware_version)
 {
 	s32 status = IXGBE_SUCCESS;
 
 	status = ixgbe_call_func(hw, hw->phy.ops.get_firmware_version,
-	    (hw, firmware_version), IXGBE_NOT_IMPLEMENTED);
-	return (status);
+	                         (hw, firmware_version),
+	                         IXGBE_NOT_IMPLEMENTED);
+	return status;
 }
 
-/*
- * ixgbe_read_phy_reg - Read PHY register
- * @hw: pointer to hardware structure
- * @reg_addr: 32 bit address of PHY register to read
- * @phy_data: Pointer to read data from PHY register
+/**
+ *  ixgbe_read_phy_reg - Read PHY register
+ *  @hw: pointer to hardware structure
+ *  @reg_addr: 32 bit address of PHY register to read
+ *  @phy_data: Pointer to read data from PHY register
  *
- * Reads a value from a specified PHY register
- */
-s32
-ixgbe_read_phy_reg(struct ixgbe_hw *hw, u32 reg_addr, u32 device_type,
-	u16 *phy_data)
+ *  Reads a value from a specified PHY register
+ **/
+s32 ixgbe_read_phy_reg(struct ixgbe_hw *hw, u32 reg_addr, u32 device_type,
+                       u16 *phy_data)
 {
 	if (hw->phy.id == 0)
 		(void) ixgbe_identify_phy(hw);
 
 	return ixgbe_call_func(hw, hw->phy.ops.read_reg, (hw, reg_addr,
-	    device_type, phy_data), IXGBE_NOT_IMPLEMENTED);
+	                       device_type, phy_data), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_write_phy_reg - Write PHY register
- * @hw: pointer to hardware structure
- * @reg_addr: 32 bit PHY register to write
- * @phy_data: Data to write to the PHY register
+/**
+ *  ixgbe_write_phy_reg - Write PHY register
+ *  @hw: pointer to hardware structure
+ *  @reg_addr: 32 bit PHY register to write
+ *  @phy_data: Data to write to the PHY register
  *
- * Writes a value to specified PHY register
- */
+ *  Writes a value to specified PHY register
+ **/
 s32 ixgbe_write_phy_reg(struct ixgbe_hw *hw, u32 reg_addr, u32 device_type,
-    u16 phy_data)
+                        u16 phy_data)
 {
 	if (hw->phy.id == 0)
 		(void) ixgbe_identify_phy(hw);
 
 	return ixgbe_call_func(hw, hw->phy.ops.write_reg, (hw, reg_addr,
-	    device_type, phy_data), IXGBE_NOT_IMPLEMENTED);
+	                       device_type, phy_data), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_setup_phy_link - Restart PHY autoneg
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_setup_phy_link - Restart PHY autoneg
+ *  @hw: pointer to hardware structure
  *
- * Restart autonegotiation and PHY and waits for completion.
- */
-s32
-ixgbe_setup_phy_link(struct ixgbe_hw *hw)
+ *  Restart autonegotiation and PHY and waits for completion.
+ **/
+s32 ixgbe_setup_phy_link(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->phy.ops.setup_link, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_check_phy_link - Determine link and speed status
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_check_phy_link - Determine link and speed status
+ *  @hw: pointer to hardware structure
  *
- * Reads a PHY register to determine if link is up and the current speed for
- * the PHY.
- */
+ *  Reads a PHY register to determine if link is up and the current speed for
+ *  the PHY.
+ **/
 s32 ixgbe_check_phy_link(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
-    bool *link_up)
+                         bool *link_up)
 {
 	return ixgbe_call_func(hw, hw->phy.ops.check_link, (hw, speed,
-	    link_up), IXGBE_NOT_IMPLEMENTED);
+	                       link_up), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_setup_phy_link_speed - Set auto advertise
- * @hw: pointer to hardware structure
- * @speed: new link speed
- * @autoneg: true if autonegotiation enabled
+/**
+ *  ixgbe_setup_phy_link_speed - Set auto advertise
+ *  @hw: pointer to hardware structure
+ *  @speed: new link speed
+ *  @autoneg: TRUE if autonegotiation enabled
  *
- * Sets the auto advertised capabilities
- */
-s32
-ixgbe_setup_phy_link_speed(struct ixgbe_hw *hw, ixgbe_link_speed speed,
-    bool autoneg,
-    bool autoneg_wait_to_complete)
+ *  Sets the auto advertised capabilities
+ **/
+s32 ixgbe_setup_phy_link_speed(struct ixgbe_hw *hw, ixgbe_link_speed speed,
+                               bool autoneg,
+                               bool autoneg_wait_to_complete)
 {
 	return ixgbe_call_func(hw, hw->phy.ops.setup_link_speed, (hw, speed,
-	    autoneg, autoneg_wait_to_complete),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       autoneg, autoneg_wait_to_complete),
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_check_link - Get link and speed status
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_check_link - Get link and speed status
+ *  @hw: pointer to hardware structure
  *
- * Reads the links register to determine if link is up and the current speed
- */
-s32
-ixgbe_check_link(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
-    bool *link_up, bool link_up_wait_to_complete)
+ *  Reads the links register to determine if link is up and the current speed
+ **/
+s32 ixgbe_check_link(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
+                     bool *link_up, bool link_up_wait_to_complete)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.check_link, (hw, speed,
-	    link_up, link_up_wait_to_complete), IXGBE_NOT_IMPLEMENTED);
+	                       link_up, link_up_wait_to_complete),
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_disable_tx_laser - Disable Tx laser
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_disable_tx_laser - Disable Tx laser
+ *  @hw: pointer to hardware structure
  *
- * If the driver needs to disable the laser on SFI optics.
- */
-void
-ixgbe_disable_tx_laser(struct ixgbe_hw *hw)
+ *  If the driver needs to disable the laser on SFI optics.
+ **/
+void ixgbe_disable_tx_laser(struct ixgbe_hw *hw)
 {
 	if (hw->mac.ops.disable_tx_laser)
 		hw->mac.ops.disable_tx_laser(hw);
 }
 
-/*
- * ixgbe_enable_tx_laser - Enable Tx laser
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_enable_tx_laser - Enable Tx laser
+ *  @hw: pointer to hardware structure
  *
- * If the driver needs to enable the laser on SFI optics.
- */
-void
-ixgbe_enable_tx_laser(struct ixgbe_hw *hw)
+ *  If the driver needs to enable the laser on SFI optics.
+ **/
+void ixgbe_enable_tx_laser(struct ixgbe_hw *hw)
 {
 	if (hw->mac.ops.enable_tx_laser)
 		hw->mac.ops.enable_tx_laser(hw);
 }
 
-/*
- * ixgbe_flap_tx_laser - flap Tx laser to start autotry process
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_flap_tx_laser - flap Tx laser to start autotry process
+ *  @hw: pointer to hardware structure
  *
- * When the driver changes the link speeds that it can support then
- * flap the tx laser to alert the link partner to start autotry
- * process on its end.
- */
-void
-ixgbe_flap_tx_laser(struct ixgbe_hw *hw)
+ *  When the driver changes the link speeds that it can support then
+ *  flap the tx laser to alert the link partner to start autotry
+ *  process on its end.
+ **/
+void ixgbe_flap_tx_laser(struct ixgbe_hw *hw)
 {
 	if (hw->mac.ops.flap_tx_laser)
 		hw->mac.ops.flap_tx_laser(hw);
 }
 
-/*
- * ixgbe_setup_link - Set link speed
- * @hw: pointer to hardware structure
- * @speed: new link speed
- * @autoneg: true if autonegotiation enabled
+/**
+ *  ixgbe_setup_link - Set link speed
+ *  @hw: pointer to hardware structure
+ *  @speed: new link speed
+ *  @autoneg: TRUE if autonegotiation enabled
  *
- * Configures link settings.  Restarts the link.
- * Performs autonegotiation if needed.
- */
+ *  Configures link settings.  Restarts the link.
+ *  Performs autonegotiation if needed.
+ **/
 s32 ixgbe_setup_link(struct ixgbe_hw *hw, ixgbe_link_speed speed,
-    bool autoneg,
-    bool autoneg_wait_to_complete)
+                           bool autoneg,
+                           bool autoneg_wait_to_complete)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.setup_link, (hw, speed,
-	    autoneg, autoneg_wait_to_complete),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       autoneg, autoneg_wait_to_complete),
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_get_link_capabilities - Returns link capabilities
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_link_capabilities - Returns link capabilities
+ *  @hw: pointer to hardware structure
  *
- * Determines the link capabilities of the current configuration.
- */
-s32
-ixgbe_get_link_capabilities(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
-    bool *autoneg)
+ *  Determines the link capabilities of the current configuration.
+ **/
+s32 ixgbe_get_link_capabilities(struct ixgbe_hw *hw, ixgbe_link_speed *speed,
+                                bool *autoneg)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.get_link_capabilities, (hw,
-	    speed, autoneg), IXGBE_NOT_IMPLEMENTED);
+	                       speed, autoneg), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_led_on - Turn on LEDs
- * @hw: pointer to hardware structure
- * @index: led number to turn on
+/**
+ *  ixgbe_led_on - Turn on LEDs
+ *  @hw: pointer to hardware structure
+ *  @index: led number to turn on
  *
- * Turns on the software controllable LEDs.
- */
-s32
-ixgbe_led_on(struct ixgbe_hw *hw, u32 index)
+ *  Turns on the software controllable LEDs.
+ **/
+s32 ixgbe_led_on(struct ixgbe_hw *hw, u32 index)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.led_on, (hw, index),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_led_off - Turn off LEDs
- * @hw: pointer to hardware structure
- * @index: led number to turn off
+/**
+ *  ixgbe_led_off - Turn off LEDs
+ *  @hw: pointer to hardware structure
+ *  @index: led number to turn off
  *
- * Turns off the software controllable LEDs.
- */
-s32
-ixgbe_led_off(struct ixgbe_hw *hw, u32 index)
+ *  Turns off the software controllable LEDs.
+ **/
+s32 ixgbe_led_off(struct ixgbe_hw *hw, u32 index)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.led_off, (hw, index),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_blink_led_start - Blink LEDs
- * @hw: pointer to hardware structure
- * @index: led number to blink
+/**
+ *  ixgbe_blink_led_start - Blink LEDs
+ *  @hw: pointer to hardware structure
+ *  @index: led number to blink
  *
- * Blink LED based on index.
- */
-s32
-ixgbe_blink_led_start(struct ixgbe_hw *hw, u32 index)
+ *  Blink LED based on index.
+ **/
+s32 ixgbe_blink_led_start(struct ixgbe_hw *hw, u32 index)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.blink_led_start, (hw, index),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_blink_led_stop - Stop blinking LEDs
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_blink_led_stop - Stop blinking LEDs
+ *  @hw: pointer to hardware structure
  *
- * Stop blinking LED based on index.
- */
-s32
-ixgbe_blink_led_stop(struct ixgbe_hw *hw, u32 index)
+ *  Stop blinking LED based on index.
+ **/
+s32 ixgbe_blink_led_stop(struct ixgbe_hw *hw, u32 index)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.blink_led_stop, (hw, index),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_init_eeprom_params - Initialize EEPROM parameters
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_init_eeprom_params - Initialize EEPROM parameters
+ *  @hw: pointer to hardware structure
  *
- * Initializes the EEPROM parameters ixgbe_eeprom_info within the
- * ixgbe_hw struct in order to set up EEPROM access.
- */
-s32
-ixgbe_init_eeprom_params(struct ixgbe_hw *hw)
+ *  Initializes the EEPROM parameters ixgbe_eeprom_info within the
+ *  ixgbe_hw struct in order to set up EEPROM access.
+ **/
+s32 ixgbe_init_eeprom_params(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->eeprom.ops.init_params, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
 
-/*
- * ixgbe_write_eeprom - Write word to EEPROM
- * @hw: pointer to hardware structure
- * @offset: offset within the EEPROM to be written to
- * @data: 16 bit word to be written to the EEPROM
+/**
+ *  ixgbe_write_eeprom - Write word to EEPROM
+ *  @hw: pointer to hardware structure
+ *  @offset: offset within the EEPROM to be written to
+ *  @data: 16 bit word to be written to the EEPROM
  *
- * Writes 16 bit value to EEPROM. If ixgbe_eeprom_update_checksum is not
- * called after this function, the EEPROM will most likely contain an
- * invalid checksum.
- */
-s32
-ixgbe_write_eeprom(struct ixgbe_hw *hw, u16 offset, u16 data)
+ *  Writes 16 bit value to EEPROM. If ixgbe_eeprom_update_checksum is not
+ *  called after this function, the EEPROM will most likely contain an
+ *  invalid checksum.
+ **/
+s32 ixgbe_write_eeprom(struct ixgbe_hw *hw, u16 offset, u16 data)
 {
 	return ixgbe_call_func(hw, hw->eeprom.ops.write, (hw, offset, data),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_read_eeprom - Read word from EEPROM
- * @hw: pointer to hardware structure
- * @offset: offset within the EEPROM to be read
- * @data: read 16 bit value from EEPROM
+/**
+ *  ixgbe_read_eeprom - Read word from EEPROM
+ *  @hw: pointer to hardware structure
+ *  @offset: offset within the EEPROM to be read
+ *  @data: read 16 bit value from EEPROM
  *
- * Reads 16 bit value from EEPROM
- */
-s32
-ixgbe_read_eeprom(struct ixgbe_hw *hw, u16 offset, u16 *data)
+ *  Reads 16 bit value from EEPROM
+ **/
+s32 ixgbe_read_eeprom(struct ixgbe_hw *hw, u16 offset, u16 *data)
 {
 	return ixgbe_call_func(hw, hw->eeprom.ops.read, (hw, offset, data),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_validate_eeprom_checksum - Validate EEPROM checksum
- * @hw: pointer to hardware structure
- * @checksum_val: calculated checksum
+/**
+ *  ixgbe_validate_eeprom_checksum - Validate EEPROM checksum
+ *  @hw: pointer to hardware structure
+ *  @checksum_val: calculated checksum
  *
- * Performs checksum calculation and validates the EEPROM checksum
- */
-s32
-ixgbe_validate_eeprom_checksum(struct ixgbe_hw *hw, u16 *checksum_val)
+ *  Performs checksum calculation and validates the EEPROM checksum
+ **/
+s32 ixgbe_validate_eeprom_checksum(struct ixgbe_hw *hw, u16 *checksum_val)
 {
 	return ixgbe_call_func(hw, hw->eeprom.ops.validate_checksum,
-	    (hw, checksum_val), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, checksum_val), IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_eeprom_update_checksum - Updates the EEPROM checksum
- * @hw: pointer to hardware structure
- */
-s32
-ixgbe_update_eeprom_checksum(struct ixgbe_hw *hw)
+/**
+ *  ixgbe_eeprom_update_checksum - Updates the EEPROM checksum
+ *  @hw: pointer to hardware structure
+ **/
+s32 ixgbe_update_eeprom_checksum(struct ixgbe_hw *hw)
 {
 	return ixgbe_call_func(hw, hw->eeprom.ops.update_checksum, (hw),
-	    IXGBE_NOT_IMPLEMENTED);
+	                       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_insert_mac_addr - Find a RAR for this mac address
- * @hw: pointer to hardware structure
- * @addr: Address to put into receive address register
- * @vmdq: VMDq pool to assign
+/**
+ *  ixgbe_insert_mac_addr - Find a RAR for this mac address
+ *  @hw: pointer to hardware structure
+ *  @addr: Address to put into receive address register
+ *  @vmdq: VMDq pool to assign
  *
- * Puts an ethernet address into a receive address register, or
- * finds the rar that it is aleady in; adds to the pool list
- */
-s32
-ixgbe_insert_mac_addr(struct ixgbe_hw *hw, u8 *addr, u32 vmdq)
+ *  Puts an ethernet address into a receive address register, or
+ *  finds the rar that it is aleady in; adds to the pool list
+ **/
+s32 ixgbe_insert_mac_addr(struct ixgbe_hw *hw, u8 *addr, u32 vmdq)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.insert_mac_addr,
-	    (hw, addr, vmdq), IXGBE_NOT_IMPLEMENTED);
+	                       (hw, addr, vmdq),
+			       IXGBE_NOT_IMPLEMENTED);
 }
 
-/*
- * ixgbe_set_rar - Set Rx address register
- * @hw: pointer to hardware structure
- * @index: Receive address register to write
- * @addr: Address to put into receive address register
- * @vmdq: VMDq "set"
- * @enable_addr: set flag that address is active
+/**
+ *  ixgbe_set_rar - Set Rx address register
+ *  @hw: pointer to hardware structure
+ *  @index: Receive address register to write
+ *  @addr: Address to put into receive address register
+ *  @vmdq: VMDq "set"
+ *  @enable_addr: set flag that address is active
  *
- * Puts an ethernet address into a receive address register.
- */
-s32
-ixgbe_set_rar(struct ixgbe_hw *hw, u32 index, u8 *addr, u32 vmdq,
-    u32 enable_addr)
+ *  Puts an ethernet address into a receive address register.
+ **/
+s32 ixgbe_set_rar(struct ixgbe_hw *hw, u32 index, u8 *addr, u32 vmdq,
+                  u32 enable_addr)
 {
 	return ixgbe_call_func(hw, hw->mac.ops.set_rar, (hw, index, addr, vmdq,
 	    enable_addr), IXGBE_NOT_IMPLEMENTED);
